%define Werror_cflags %nil

Name:		darkplaces
Summary:	Multiplayer, deathmatch oriented first person shooter engine
Version:	rev20091001
Release:	%mkrel 1.1
License: 	GPLv2+
Group:		Games/Arcade
URL:		http://icculus.org/twilight/darkplaces/
Source:		darkplaces-rev20091001.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:	ImageMagick file lzma
BuildRequires:	SDL-devel GL-devel unzip
BuildRequires:	alsa-lib-devel libxpm-devel
Requires:	zlib libvorbis libjpeg62 curl
Provides:	nexuiz-engine = 242

%description
Darkplaces is a modern, powerful first-person shooter engine.

This package is non-free as it requires non-free data to run. You must have a version of Quake 1 to play.

%package server
Group: Games/Arcade
Summary: Dedicated server for the darkplaces engine
Requires: 	zlib curl
Provides: 	nexuiz-engine = 242

%description server
Darkplaces is a modern, powerful first-person shooter engine.

This is the darkplaces dedicated server required to host network games.


%prep
%setup -q

%build
%{__make} release OPTIM_RELEASE="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}


# Install the main programs
%{__mkdir_p} %{buildroot}%{_gamesbindir}
%{__install} -m 0755 darkplaces-glx \
	%{buildroot}%{_gamesbindir}/darkplaces-glx
%{__install} -m 0755 darkplaces-sdl \
	%{buildroot}%{_gamesbindir}/darkplaces-sdl
%{__install} -m 0755 darkplaces-dedicated \
	%{buildroot}%{_gamesbindir}/darkplaces-dedicated

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING darkplaces.txt
%{_gamesbindir}/darkplaces-glx
%{_gamesbindir}/darkplaces-sdl

%files server
%defattr(-,root,root,-)
%doc COPYING darkplaces.txt
%{_gamesbindir}/darkplaces-dedicated



%changelog
* Sun Dec 25 2011 Zombie Ryushu <ryushu@mandriva.org> rev20091001-1.1mdv2010.1
+ Revision: 745129
- libjpeg62

* Sat Dec 24 2011 Zombie Ryushu <ryushu@mandriva.org> rev20091001-1
+ Revision: 745104
- shortcut
- fix libxpm
- imported package darkplaces


* Sat Feb 14 2009 muhammedu@gmail.com
- Initial package based on a previous build
- NOTE: I am the only one you should ask about
-	THIS package! Do not email the others
-	mentioned below!
- Only build darkplaces without nexuiz
* Fri Feb 13 2009 nesnomis@gmail.com
- rebuild for opensuse 11.1
* Wed May 21 2008 claes.backstrom@fsfe.org
- Initial package
